package com.ann.demo.normalEntity;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class UserModel extends BaseRowModel {

    @ExcelProperty(value="科室名称（需填写科室全称",index=0)
    private String deptName;

    @ExcelProperty(value="工号（与登录电子病历系统账号一致，需在工号前面加0，如00000）",index=1)
    private String userName;

    @ExcelProperty(value="姓名",index=2)
    private String name;

    @ExcelProperty(value="归档系统权限分配(需填写科主任、主管医生、医生、护士长、护士)",index=3)
    private String role;




}
